import os, sys

if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase

from Products.Anonymailer.tests.base import AnonymailerFunctionalTestCase 

FILES = ['wordwrap.txt',]

def test_suite():
    import unittest
    suite = unittest.TestSuite()
    from Testing.ZopeTestCase import FunctionalDocFileSuite as FileSuite
    for file in FILES:
        suite.addTest(FileSuite(file, package="Products.Anonymailer.tests",
                                test_class=AnonymailerFunctionalTestCase)
                     )
    return suite

if __name__ == '__main__':
    framework(descriptions=1, verbosity=1)
